JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.update('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.update(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
webhook, err := client.Webhooks.Update(
context.TODO(),
"550e8400-e29b-41d4-a716-446655440000",
mobileruncloud.WebhookUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhook.Data)
}mobilerun-cloud webhooks update \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000curl --request PATCH \
--url https://api.mobilerun.ai/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventTypes": [
"<string>"
],
"description": "<string>"
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"blockedAt": "<string>",
"blockedReason": "<string>",
"signingEnabled": true,
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": "<string>"
}Webhooks
Update a webhook subscription
Updates a webhook subscription. Any combination of the subscribed event types, state (ACTIVE or DISABLED), and description may be changed, and at least one field must be supplied. Setting state to ACTIVE re-enables a subscription that was auto-blocked after sustained delivery failures.
PATCH
/
webhooks
/
{id}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.update('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.update(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
webhook, err := client.Webhooks.Update(
context.TODO(),
"550e8400-e29b-41d4-a716-446655440000",
mobileruncloud.WebhookUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhook.Data)
}mobilerun-cloud webhooks update \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000Authorizations
Bearer token via Authorization header
Path Parameters
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Response
Updated webhook subscription
Show child attributes
Show child attributes
Was this page helpful?
⌘I